%define dist MIME-Lite
Name: perl-MIME-Lite
Version: 3.01
Release: alt3

Summary: MIME::Lite - low-calorie MIME generator
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.gz

Patch0: ftp://ftp.debian.org/debian/pool/main/libm/libmime-lite-perl/libmime-lite-perl_3.01-7.diff.gz
Patch1: perl-MIME-Lite-3.01-alt-req.patch

BuildArch: noarch
Requires: sendmail-common

# Added by buildreq2 on Sun Aug 27 2006
BuildRequires: perl-MIME-Types perl-MailTools perl-devel sendmail-common

%description
MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments.  It does not require that you have the Mail:: or MIME::
modules installed.

You can specify each message part as either the literal data itself (in
a scalar or array), or as a string which can be given to open() to get
a readable filehandle (e.g., "<filename" or "somecommand|").

You don't need to worry about encoding your message data: this module
will do that for you.  It handles the 5 standard MIME encodings.

If you need more sophisticated behavior, please get the MIME-tools
package instead.  I will be more likely to add stuff to that toolkit
over this one.

%prep
%setup -q -n %dist-%version
%patch0 -p1
%patch1 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/MIME*

%changelog
* Sun Aug 27 2006 Alexey Tourbin <at@altlinux.ru> 3.01-alt3
- sync debian libmime-lite-perl_3.01-7.diff.gz
- clarified perl dependencies by removing eval wraps
- added dependency on sendmail-common

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.01-alt2.1
- Rebuilt with rpm-build-perl-0.5.1.

* Wed Jun 02 2004 Denis Smirnov <mithraen@altlinux.ru> 3.01-alt2
- Fixed summary and description

* Thu Jan 22 2004 Denis Smirnov <mithraen@altlinux.ru> 3.01-alt1
- Build for Sisyphus
